## view.page
Class EditTournamentPage.FieldTable

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Table
                      view.element.FormTable
                          view.page.EditTournamentPage.FieldTable

Enclosing class:
  EditTournamentPage

    private class EditTournamentPage.FieldTable

extends FormTable

A class for tournament data field table.

Constructor Summary
`EditTournamentPage.FieldTable(Tournament tournament)` Constructs the element.

Method Summary

Methods inherited from class view.element.FormTable
`addField, addTextField, addTextField`

Methods inherited from class view.xhtml.Table
`addTr`

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditTournamentPage.FieldTable

    public EditTournamentPage.FieldTable(Tournament tournament)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to get the field data from. if null, the fields are be empty.